Failing to Update my NI Software in Windows XP or Vista

Updated Jun 24, 2019

Reported In

Operating System

  • Windows

Issue Details

I'm trying to update my NI software in a Windows XP system, and I keep seeing error messages indicating the following.
  • "This application has failed to start because api-ms-win-core-string-I1-1-0.dll was not found. Re-installing the application may fix this problem."
  • "PreInstall.exe is not a valid Win32 application"

Solution

Newer versions of NI Software are installed through the NI Package Manager, this application is not compatible and cannot be used with older versions of Windows operating systems. To update NI software it would be necessary to update to a newer operating systems.

Additional Information

Information related to NI software life-cycles  and OS support can be referenced by looking for the Read-me files for the specific product.